package _prof;
import java.io.*;
import java.util.*; 
public class prof {
	public static prof x = new prof();
	public static void write(String filename) {
		int lns[] = new int[13463];
		String line;
		int i=0;
		try {
			BufferedReader istream = new BufferedReader(new FileReader("JavaClassFiles"+File.separator+"_prof"+File.separator+"lns.txt"));
			while ((line = istream.readLine()) != null) {
				lns[i++] = Integer.parseInt(line);
			}
			istream.close();
		}
		catch(IOException e) {
			System.out.println("Bad file name: " +e);
			System.exit(-1);
		}
		instr.ProfData p = new instr.ProfData(files, lns, cnt, true);
		p.writeOut(filename, false);
	}
	public static int getNumber() {
		try{
			File numberFile = new File("numbers.txt");
			FileReader reader = new FileReader(numberFile);
			BufferedReader in = new BufferedReader(reader);
			int x = Integer.parseInt(in.readLine());
			reader.close();
			return x;
		}catch(Exception p){
			System.out.println("prb reading file: " + p);
			int x = 0;
			return x ;
		}
	}
	public static void updateNumber(){ 
		try{
			File numberFile = new File("numbers.txt");
			FileReader reader = new FileReader(numberFile);
			BufferedReader in = new BufferedReader(reader);
			int x = Integer.parseInt(in.readLine());
			reader.close();
			FileWriter writer = new FileWriter("numbers.txt");
			PrintWriter out = new PrintWriter(writer);
			out.println(x + 1);
			writer.close();
		} catch(Exception p){
			System.out.println("prb writing to file: " + p);
		}
	}
	public static int cnt[] = new int[13463]; 
	public static final String files[] = {
"./freemind/preferences/layout/KeyEventTranslator.java",
"./freemind/preferences/layout/GrabKeyDialog.java",
"./freemind/preferences/layout/KeyEventWorkaround.java",
"./freemind/preferences/layout/OptionPanel.java",
"./freemind/common/JaxbTools.java",
"./freemind/main/XMLParseException.java",
"./freemind/main/FreeMind.java",
"./freemind/main/FreeMindApplet.java",
"./freemind/main/ExampleFileFilter.java",
"./freemind/main/XMLElement.java",
"./freemind/main/FreeMindSplash.java",
"./freemind/main/Tools.java",
"./freemind/view/mindmapview/BubbleNodeView.java",
"./freemind/view/mindmapview/SharpBezierEdgeView.java",
"./freemind/view/mindmapview/MoveableNodeView.java",
"./freemind/view/mindmapview/RootNodeView.java",
"./freemind/view/mindmapview/PathBBox.java",
"./freemind/view/mindmapview/SharpLinearEdgeView.java",
"./freemind/view/mindmapview/NodeView.java",
"./freemind/view/mindmapview/ConvexHull.java",
"./freemind/view/mindmapview/EditNodeDialog.java",
"./freemind/view/mindmapview/EditNodeTextField.java",
"./freemind/view/mindmapview/MindMapLayout.java",
"./freemind/view/mindmapview/MultipleImage.java",
"./freemind/view/mindmapview/ArrowLinkView.java",
"./freemind/view/mindmapview/BezierEdgeView.java",
"./freemind/view/mindmapview/CloudView.java",
"./freemind/view/mindmapview/EditNodeBase.java",
"./freemind/view/mindmapview/ForkNodeView.java",
"./freemind/view/mindmapview/LinearEdgeView.java",
"./freemind/view/mindmapview/NodeMotionListenerView.java",
"./freemind/view/mindmapview/MapView.java",
"./freemind/view/mindmapview/EdgeView.java",
"./freemind/view/MapModule.java",
"./freemind/modes/StylePattern.java",
"./freemind/modes/LineAdapter.java",
"./freemind/modes/ModesCreator.java",
"./freemind/modes/XMLElementAdapter.java",
"./freemind/modes/LinkRegistryAdapter.java",
"./freemind/modes/ControllerAdapter.java",
"./freemind/modes/actions/JoinNodesAction.java",
"./freemind/modes/actions/GotoLinkNodeAction.java",
"./freemind/modes/actions/RevertAction.java",
"./freemind/modes/actions/ImportFolderStructureAction.java",
"./freemind/modes/actions/ImportExplorerFavoritesAction.java",
"./freemind/modes/actions/AddLocalLinkAction.java",
"./freemind/modes/actions/RemoveArrowLinkAction.java",
"./freemind/modes/actions/NodeHookAction.java",
"./freemind/modes/actions/ChangeArrowLinkEndPoints.java",
"./freemind/modes/actions/FontFamilyAction.java",
"./freemind/modes/actions/NodeColorAction.java",
"./freemind/modes/actions/EdgeWidthAction.java",
"./freemind/modes/actions/BoldAction.java",
"./freemind/modes/actions/AddArrowLinkAction.java",
"./freemind/modes/actions/ApplyPatternAction.java",
"./freemind/modes/actions/IconAction.java",
"./freemind/modes/actions/UnderlinedAction.java",
"./freemind/modes/actions/NodeUpAction.java",
"./freemind/modes/actions/NewSiblingAction.java",
"./freemind/modes/actions/CloudColorAction.java",
"./freemind/modes/actions/CopySingleAction.java",
"./freemind/modes/actions/NodeStyleAction.java",
"./freemind/modes/actions/ColorArrowLinkAction.java",
"./freemind/modes/actions/FontSizeAction.java",
"./freemind/modes/actions/CompoundActionHandler.java",
"./freemind/modes/actions/DeleteChildAction.java",
"./freemind/modes/actions/UndoAction.java",
"./freemind/modes/actions/ChangeArrowsInArrowLinkAction.java",
"./freemind/modes/actions/CloudAction.java",
"./freemind/modes/actions/SelectBranchAction.java",
"./freemind/modes/actions/RemoveLastIconAction.java",
"./freemind/modes/actions/RemoveAllIconsAction.java",
"./freemind/modes/actions/MoveNodeAction.java",
"./freemind/modes/actions/ToggleChildrenFoldedAction.java",
"./freemind/modes/actions/ToggleFoldedAction.java",
"./freemind/modes/actions/EditAction.java",
"./freemind/modes/actions/FindAction.java",
"./freemind/modes/actions/PasteAction.java",
"./freemind/modes/actions/EdgeStyleAction.java",
"./freemind/modes/actions/NodeGeneralAction.java",
"./freemind/modes/actions/RedoAction.java",
"./freemind/modes/actions/NodeColorBlendAction.java",
"./freemind/modes/actions/NodeBackgroundColorAction.java",
"./freemind/modes/actions/NewChildAction.java",
"./freemind/modes/actions/ItalicAction.java",
"./freemind/modes/actions/SelectAllAction.java",
"./freemind/modes/actions/NewMapAction.java",
"./freemind/modes/actions/NewPreviousSiblingAction.java",
"./freemind/modes/actions/EdgeColorAction.java",
"./freemind/modes/actions/SetLinkByTextFieldAction.java",
"./freemind/modes/actions/CutAction.java",
"./freemind/modes/actions/CopyAction.java",
"./freemind/modes/mindmapmode/MindMapArrowLinkModel.java",
"./freemind/modes/mindmapmode/MindMapController.java",
"./freemind/modes/mindmapmode/EncryptedMindMapNode.java",
"./freemind/modes/mindmapmode/MindMapNodeModel.java",
"./freemind/modes/mindmapmode/MindMapMode.java",
"./freemind/modes/mindmapmode/MindMapMapModel.java",
"./freemind/modes/mindmapmode/MindMapToolBar.java",
"./freemind/modes/mindmapmode/MindMapPopupMenu.java",
"./freemind/modes/mindmapmode/MindMapXMLElement.java",
"./freemind/modes/mindmapmode/MindMapEdgeModel.java",
"./freemind/modes/mindmapmode/MindMapCloudModel.java",
"./freemind/modes/EdgeAdapter.java",
"./freemind/modes/LinkAdapter.java",
"./freemind/modes/MapAdapter.java",
"./freemind/modes/browsemode/BrowseCloudModel.java",
"./freemind/modes/browsemode/BrowseArrowLinkModel.java",
"./freemind/modes/browsemode/BrowseXMLElement.java",
"./freemind/modes/browsemode/BrowseMode.java",
"./freemind/modes/browsemode/BrowseEdgeModel.java",
"./freemind/modes/browsemode/BrowseToolBar.java",
"./freemind/modes/browsemode/BrowseMapModel.java",
"./freemind/modes/browsemode/BrowsePopupMenu.java",
"./freemind/modes/browsemode/BrowseNodeModel.java",
"./freemind/modes/browsemode/BrowseController.java",
"./freemind/modes/MindIcon.java",
"./freemind/modes/NodeAdapter.java",
"./freemind/modes/CloudAdapter.java",
"./freemind/modes/schememode/SchemePopupMenu.java",
"./freemind/modes/schememode/SchemeMode.java",
"./freemind/modes/schememode/SchemeToolBar.java",
"./freemind/modes/schememode/SchemeEdgeModel.java",
"./freemind/modes/schememode/SchemeNodeModel.java",
"./freemind/modes/schememode/SchemeMapModel.java",
"./freemind/modes/schememode/SchemeController.java",
"./freemind/modes/filemode/FileNodeModel.java",
"./freemind/modes/filemode/FileController.java",
"./freemind/modes/filemode/FileMode.java",
"./freemind/modes/filemode/FileMapModel.java",
"./freemind/modes/filemode/FileEdgeModel.java",
"./freemind/modes/filemode/FilePopupMenu.java",
"./freemind/modes/filemode/FileToolBar.java",
"./freemind/modes/ArrowLinkAdapter.java",
"./freemind/modes/NodeDownAction.java",
"./freemind/modes/HistoryInformation.java",
"./freemind/controller/MenuBar.java",
"./freemind/controller/MainToolBar.java",
"./freemind/controller/MapModuleManager.java",
"./freemind/controller/StructuredMenuHolder.java",
"./freemind/controller/LastOpenedList.java",
"./freemind/controller/StructuredMenuItemHolder.java",
"./freemind/controller/actions/PrintActionHandler.java",
"./freemind/controller/actions/ModeControllerActionHandler.java",
"./freemind/controller/actions/FreemindAction.java",
"./freemind/controller/actions/ActionFactory.java",
"./freemind/controller/actions/AbstractXmlAction.java",
"./freemind/controller/actions/ActionPair.java",
"./freemind/controller/actions/UndoActionHandler.java",
"./freemind/controller/NodeMouseMotionListener.java",
"./freemind/controller/ColorSwatch.java",
"./freemind/controller/NodeKeyListener.java",
"./freemind/controller/MapMouseMotionListener.java",
"./freemind/controller/NodeDropListener.java",
"./freemind/controller/BlindIcon.java",
"./freemind/controller/NodeMotionListener.java",
"./freemind/controller/MindMapNodesSelection.java",
"./freemind/controller/FreeMindToolBar.java",
"./freemind/controller/Controller.java",
"./freemind/controller/MapMouseWheelListener.java",
"./freemind/controller/NodeDragListener.java",
"./freemind/extensions/HookDescriptor.java",
"./freemind/extensions/NodeHookAdapter.java",
"./freemind/extensions/ImportWizard.java",
"./freemind/extensions/ModeControllerHookAdapter.java",
"./freemind/extensions/ExportHook.java",
"./freemind/extensions/PermanentNodeHookSubstituteUnknown.java",
"./freemind/extensions/PermanentNodeHookAdapter.java",
"./freemind/extensions/HookInstanciationMethod.java",
"./freemind/extensions/HookFactory.java",
"./freemind/extensions/HookAdapter.java"

	};	
}
